Subject: bug#12849: 24.2.50; Doc: `message': mention `message-log-max'

From: Michael Heerdegen <[email-masked]>
Date: Sat, 10 Nov 2012 17:51:24 +0100

Leo <[email-masked]> writes:

> How about adding:
>
> (defsubst message-nolog (format-string &rest args)
>   "Same as `message' except not writing to *Messages* buffer."
>   (let (message-log-max) (apply 'message format-string args)))
>
> This could encourage elisp authors to choose what to log to *Messages*
> buffer. For example, ff-quiet-mode defaults to nil and, boy, this
> library can write thousands of useless lines to *Messages* buffer.

I would appreciate something like that (besides improving the doc).

Maybe the same could be done for `with-temp-message'.

Regards,

Michael.